ADDDEBUG(1)

NAME
adddebug - Past de Makefile(s) aan om extra debug-informatie bij te voegen

SAMENVATTING

adddebug [-k] [-r] [-n]

BESCHRIJVING

adddebug past de Makefile aan in de huidige map (en eventueel in submappen) om extra debug-informatie toe te voegen aan het programma (-g3). Het verwijdert ook optimalisatie-instellingen (-O[1-9]).

Dit hulpmiddel is een onderdeel van het software-ontwikkelpakket van KDE.

OPTIES

-k
    Optimalisaties behouden (de vlaggen -O[1-9]? niet verwijderen, standaard gebeurt dit wel).

-r
    Zoek recursief door alle submappen van de huidige map en maak aanpassingen op iedere gevonden Makefile.

-n
    zonder gedefinieerde NDEBUG en NO_DEBUG compileren (maakt de kDebug-aanroepen mogelijk)

AUTEUR

Ben Burton <bab@debian.org>
    Auteur.